import request from '@/utils/request'

// 查询选择题答案管理列表
export function listAnswer(query) {
  return request({
    url: '/model/answer/list',
    method: 'get',
    params: query
  })
}

// 查询选择题答案管理详细
export function getAnswer(answerId) {
  return request({
    url: '/model/answer/' + answerId,
    method: 'get'
  })
}

// 新增选择题答案管理
export function addAnswer(data) {
  return request({
    url: '/model/answer',
    method: 'post',
    data: data
  })
}

// 修改选择题答案管理
export function updateAnswer(data) {
  return request({
    url: '/model/answer',
    method: 'put',
    data: data
  })
}

// 删除选择题答案管理
export function delAnswer(answerId) {
  return request({
    url: '/model/answer/' + answerId,
    method: 'delete'
  })
}
